http_match_modified
http_support
HTTP Functions
PHP Manual

# http_match_request_header

(PECL pecl_http >= 0.10.0)

http_match_request_header — Match any header

### Description

bool http_match_request_header ( string `$header` , string `$value` [, bool `$match_case` = false ] )

Match an incoming HTTP header.

### Parameters

`header`

  the header name (case-insensitive)

`value`

  the header value that should be compared

`match_case`

  whether the value should be compared case sensitively

### Return Values

Returns `TRUE` if header value matches, else `FALSE`.

### See Also

- http_match_etag() - Match ETag
- http_match_last_modified()

http_match_modified
http_support
HTTP Functions
PHP Manual